#
# Copyright (c) 1994-1997 by Sun Microsystems Inc.
#
# @(#)javac.properties	1.15 97/03/10
#

javac.err.internal=\
	Internt fel.
javac.err.eof.in.comment=\
	Oavslutad kommentar i slutet av datainmatningen.
javac.err.eof.in.string=\
	Oavslutad sträng i slutet av datainmatningen.
javac.err.newline.in.string=\
	Oavslutad sträng vid radslut.
javac.err.invalid.char.constant=\
	Ogiltig teckenkonstant.
javac.err.unbalanced.paren=\
	Obalanserad parentes.
javac.err.invalid.escape.char=\
	Ogiltigt Esc-tecken.
javac.err.invalid.octal.number=\
	Ogiltigt tecken i oktaltal.
javac.err.invalid.number=\
	Ogiltigt tecken i tal.
javac.err.funny.char=\
	Ogiltigt tecken i indata.
javac.err.float.format=\
	Ogiltigt flyttalsformat.
javac.err.overflow=\
	Numeriskt spill.
javac.err.underflow=\
	Numerisk bottning.
javac.err.token.expected=\
	''{0}'' förväntades.
javac.err.statement.expected=\
	En sats förväntades.
javac.err.type.expected=\
	En typ förväntades.
javac.err.identifier.expected=\
	En identifierare förväntades.
javac.err.class.expected=\
	Nyckelordet ''class'' eller ''interface'' förväntades.
javac.err.toplevel.expected=\
	En klass- eller gränssnittsdeklaration förväntades.
javac.err.missing.term=\
	Term saknas.
javac.err.else.without.if=\
	''else'' utan ''if''.
javac.err.catch.without.try=\
	''catch'' utan ''try''.
javac.err.finally.without.try=\
	''finally'' utan ''try''.
javac.err.try.without.catch.finally=\
	''try'' utan ''catch'' eller ''finally''.
javac.err.case.without.switch=\
	''case'' utanför växelsatsen.
javac.err.default.without.switch=\
	''default'' utanför växelsatsen.
javac.err.io.exception=\
	I/O-fel i {0}.
javac.err.array.index.required=\
	Matrisindex krävs.
javac.err.not.array=\
	[] kan endast tillämpas på matriser, och inte på {0}.
javac.err.array.dim.in.decl=\
	Det går inte att ange en matrisdimension i en deklaration.
javac.err.array.dim.in.type=\
	Det går inte att ange en matrisdimension i ett typuttryck.
javac.err.invalid.array.expr=\
	Matriskonstanter kan endast användas i initierare.
javac.err.invalid.array.init=\
	Ogiltig initierare för typen {0}.
javac.err.invalid.lhs.assignment=\
	Tilldelningens vänstra sida är ogiltig.
javac.err.invalid.args=\
	Ogiltiga argument till {0}.
javac.err.invalid.cast=\
	Ogiltig omvandling från {0} till {1}.
javac.err.invalid.instanceof=\
	{0} kan inte vara en instans av {1}.
javac.err.invalid.type.expr=\
	Ogiltigt typuttryck.
javac.err.anonymous.extends=\
	Endast namngivna klasser kan ha satser av typen ''extends'' eller ''implements''.
javac.err.invalid.field.reference=\
	Ett försök har gjorts att referera till fältet {0} i {1}.
javac.err.no.such.field=\
	Det finns ingen variabel {0} definierad i {1}.
javac.err.no.field.access=\
	Variabeln {0} i {1} är inte åtkomlig från {2}.
javac.err.no.type.access=\
	Den inre typen {0} i {1} är inte åtkomlig från {2}.
javac.err.no.static.field.access=\
	Det går inte att göra en statisk referens till den icke-statiska variabeln {0} i {1}.
javac.err.inner.static.ref=\
	Det går inte att göra en statisk referens till den inre klassen {0}.
javac.err.ambig.field=\
	Referensen till {0} är flertydig. Den är definierad i både {1} och {2}.
javac.err.invalid.field=\
	Ett försök har gjorts att referera till metoden {0} i {1} som en instansvariabel.
javac.err.assign.to.final=\
	Det går inte att tilldela ett värde till en final variabel: {0}
javac.err.assign.to.blank.final=\
	Det går inte att tilldela ett andra värde till en tom final variabel: {0}
javac.err.assign.to.blank.final.in.loop=\
	Ett försök har gjorts att tilldela en tom final {0} variabel i en slinga. Initieringen får endast ske en gång.
javac.err.assign.to.uplevel=\
	Ett försök har gjorts att tilldela till en variabel {0} i en annan metod. Från omgivande block är endast finala lokala variabler tillgängliga.
javac.err.invalid.uplevel=\
	Ett försök har gjorts att använda en icke-final variabel {0} från en annan metod. Från omgivande block är endast finala lokala variabler tillgängliga.
javac.err.uplevel.private=\
	Åtkomst över definitionsområden till den privata medlemmen {0} i {1} är inte implementerad.  Referensen fungerar om medlemmen ges paketdefinitionsområde.
javac.err.undef.var=\
	Odefinierad variabel: {0}
javac.err.undef.var.super=\
	Odefinierad variabel: {0}.  Nyckelordet "super" kan endast användas för medlemsåtkomst och konstruktörsanrop.
javac.err.undef.var.or.package=\
	Odefinierat variabel- eller paketnamn: {0}
javac.err.undef.var.class.or.package=\
	Odefinierat variabel-, klass- eller paketnamn: {0}
javac.err.undef.var.or.class=\
	Odefinierat variabel- eller klassnamn: {0}
javac.err.var.not.initialized=\
	Det är inte säkert att variabeln {0} har initierats.
javac.err.final.var.not.initialized=\
	Det är inte säkert att den tomma finala variabeln ''{0}'' har initierats. Den måste tilldelas ett värde i en initierare, eller i varje konstruktör.
javac.err.access.inst.before.super=\
	Det går inte att referera till {0} innan superklasskonstruktören har anropats.
javac.err.ambig.class=\
	Flertydig klass: {0} och {1}
javac.err.invalid.arg=\
	Ogiltigt argument till {0}.
javac.err.invalid.arg.type=\
	Ogiltig argumenttyp {0} för {1}.
javac.err.invalid.length=\
	''length'' har tillämpats på {0}, som inte är en matris.
javac.err.invalid.constr.invoke=\
	Endast konstruktörer kan anropa konstruktörer.
javac.err.constr.invoke.not.first=\
	Konstruktörsanrop måste finns först i en metod.
javac.err.invalid.method.invoke=\
	Det går inte att anropa en metod på en {0}.
javac.err.undef.meth=\
	Metoden {0} finns inte i {1}.
javac.err.no.meth.access=\
	Metoden {0} i {1} är inte åtkomlig från {2}.
#warning:
javac.err.no.override.access=\
	Obs: Metoden {0} i {1} åsidosätter inte motsvarande metod i {2}, som är privat för ett annat paket.
javac.err.no.static.meth.access=\
	Det går inte att göra en statisk referens till metoden {0} i {1}.
javac.err.invalid.protected.method.use=\
	Ingen åtkomst till den skyddade metoden {0} i {1}. {2} är inte en underordnad klass till den aktuella klassen.
javac.err.invalid.protected.field.use=\
	Ingen åtkomst till det skyddade fältet {0} i {1}. {2} är inte en underordnad klass till den aktuella klassen.
javac.err.invalid.protected.type.use=\
	Ingen åtkomst till den skyddade inre typen {0} i {1}. {2} är inte en underordnad klass till den aktuella klassen.
javac.err.invalid.method=\
	En referens har gjorts till variabeln {0} i {1} som om den vore en metod.
javac.err.invalid.var=\
	En referens har gjorts till metoden {0} i {1} som om den vore en variabel.
#all deprecation-related messages are warnings:
javac.err.class.is.deprecated=\
	Obs: {0} är föråldrad.
javac.err.meth.is.deprecated=\
	Obs: Metoden {0} i {1} är föråldrad.
javac.err.override.is.deprecated=\
	Obs: Metoden {0} i {1} är föråldrad, och {2} (som inte är föråldrad) åsidosätter den.
javac.err.constr.is.deprecated=\
	Obs: Konstruktören {0} är föråldrad.
javac.err.field.is.deprecated=\
	Obs: Variabeln {0} i {1} är föråldrad.
javac.err.note.deprecations=\
	Obs: {0} filer använder föråldrade API:er.  I dokumentationen finns information om bättre alternativ för dessa fall.
javac.err.note.1deprecation=\
	Obs: {0} använder en föråldrad API.  I dokumentationen finns information om bättre alternativ.
javac.err.note.deprecations.silent=\
	Obs: {0} filer använder föråldrade API:er.  Omkompilera med "-deprecation" för mer information.
javac.err.note.1deprecation.silent=\
	Obs: {0} använder en föråldrad API.  Omkompilera med "-deprecation" för mer information.
javac.err.invalid.array.dim=\
	Ogiltig matrisdimension.
javac.err.ambig.constr=\
	Flertydig konstruktör: {0}, {1}
javac.err.explicit.cast.needed=\
	Inkompatibel typ för {0}. Explicit omvandling krävs för att konvertera {1} till {2}.
javac.err.incompatible.type=\
	Inkompatibel typ för {0}. Det går inte att konvertera {1} till {2}.
javac.err.invalid.term=\
	Ogiltig term.
javac.err.private.intf.method=\
	{0} måste åsidosätta {1} med en publik metod för att implementera {2}.
javac.err.abstract.class=\
	{0} måste deklareras som abstrakt. Den definierar inte {1} från {2}.
javac.err.abstract.class.not.final=\
	{0} måste deklareras som abstrakt och inte som final. Den definierar inte {1} från {2}.
javac.err.new.intf=\
	{0} är ett gränssnitt. Det går inte att göra en instans av den.
javac.err.invoke.abstract=\
	Det går inte att direkt anropa den abstrakta metoden {0} i {1}.
javac.err.unmatched.meth=\
	Det finns ingen metod som motsvarar {0} i {1}.
javac.err.unmatched.constr=\
	Det finns ingen konstruktör som motsvarar {0} i {1}.
javac.err.wrong.number.args=\
	Felaktigt antal argument i {0}.
javac.err.wrong.number.args=\
	Felaktigt antal argument i {0}.
javac.err.forward.ref=\
	Det går inte att göra en framåtsyftande referens till {0} i {1}.
javac.err.array.dim.missing=\
	Matrisdimension saknas.
javac.err.new.abstract=\
	{0} är en abstrakt klass. Det går inte att göra en instans av den.
javac.err.label.not.found=\
	Det finns ingen etikettdefinition för {0}.
javac.err.invalid.break=\
	''break'' måste finnas i en slinga eller i en växel.
javac.err.invalid.continue=\
	''continue'' måste finnas i en slinga.
javac.err.branch.to.uplevel=\
	''break'' eller ''continue'' måste överföra kontroll inom samma metod.
javac.err.invalid.decl=\
	Ogiltig deklaration.
javac.err.return.with.value=\
	''return'' med värde från {0}.
javac.err.return.without.value=\
	''return'' utan värde från {0}.
javac.err.return.inside.static.initializer=\
	''return'' inom statisk initierare.
javac.err.invalid.label=\
	Ogiltig etikett.
javac.err.return.required.at.end=\
	Return krävs i slutet av {0}.
javac.err.duplicate.label=\
	Dubblerad case-etikett: {0}
javac.err.switch.overflow=\
	Case-etiketten {0} är för stor för ''switch'' på {1}
javac.err.const.expr.required=\
	Konstantuttryck krävs.
javac.err.duplicate.default=\
	Dubblerad ''default''-etikett.
javac.err.not.supported=\
	''{0}'' stöds inte.
javac.err.return.with.value.constr=\
	''return'' med värde från konstruktör: {0}
javac.err.package.repeated=\
	Endast en paketdeklaration är tillåten.
javac.err.class.multidef=\
	Klassen {0} är redan definierad i {1}.
javac.err.class.multidef.import=\
	Klassnamnet {0} är i konflikt med den importerade klassen {1}.
javac.err.final.meth.override=\
	Finala metoder kan inte åsidosättas. Metoden {0} är final i {1}.
javac.err.redef.return.type=\
	Metoden har omdefinierats med en annan return-typ: {0} var {1}
javac.err.override.static.meth=\
	Statiska metoder kan inte åsidosättas. Metoden {0} är statisk i {1}.
javac.err.override.instance.method.static=\
        Instansmetoder kan inte åsidosättas av en statisk metod.\nMetoden {0} är en instansmetod i {1}.
javac.err.override.public=\
	Metoder kan inte åsidosättas så att de blir mer privata. Metoden {0} är publik i {1}.
javac.err.override.protected=\
	Metoder kan inte åsidosättas så att de blir mer privata. Metoden {0} är skyddad i {1}.
javac.err.override.private=\
	Metoder kan inte åsidosättas så att de blir mer privata. Metoden {0} är inte privat i {1}.
javac.err.intf.constructor=\
	Gränssnitt kan inte ha konstruktörer.
javac.err.constr.modifier=\
	Konstruktörer kan inte vara egenutvecklade, abstrakta, statiska, synkroniserade eller finala: {0}
javac.err.intf.initializer=\
	Gränssnitt kan inte ha statiska initierare.
javac.err.intf.modifier.method=\
	Gränssnittsmetoder kan inte vara egenutvecklade, statiska, synkroniserade, finala, privata eller skyddade : {0}
javac.err.intf.modifier.field=\
	Gränssnittsfält kan inte vara privata eller skyddade: {0}
javac.err.transient.meth=\
	Metoden {0} kan inte vara transient. Endast variabler kan vara transienta.
javac.err.volatile.meth=\
	Metoden {0} kan inte vara flyktig. Endast variabler kan vara flyktiga.
javac.err.static.modifier=\
	Statiska metoder kan inte vara abstrakta: {0}
javac.err.invalid.meth.body=\
	Abstrakta och egenutvecklade metoder kan inte ha kodtext: {0}
javac.err.var.modifier=\
	Variabler kan inte vara synkroniserade, abstrakta eller egenutvecklade: {0}
javac.err.inner.modifier=\
	Inre klasser kan inte vara flyktiga, transienta, egenutvecklade eller synkroniserade: {0}
javac.err.transient.modifier=\
	Transienta variabler kan inte vara medlemmar av gränssnitt: {0}
javac.err.volatile.modifier=\
	Flyktiga variabler kan inte vara finala eller medlemmar av gränssnitt: {0}
javac.err.initializer.needed=\
	Den här finala variabeln måste initieras: {0}
javac.err.meth.multidef=\
	Dubblerad metoddeklaration: {0}
javac.err.meth.redef.rettype=\
	Metoderna kan inte omdefinieras med en annan return-typ: {0} var {1}
javac.err.var.multidef=\
	Dubblerad variabeldeklaration: {0} var {1}
javac.err.inner.class.multidef=\
	Dubblerad deklaration av inre klass: {0} är redan definierad i definitionsområdet.
javac.err.intf.super.class=\
	Superklassen till {0} kan inte vara ett gränssnitt: {1}
javac.err.cant.access.class=\
	Ingen åtkomst till {0}. Endast publika klasser och gränssnitt i andra paket kan nås.
javac.err.repeated.modifier=\
	Upprepad modifierare.
javac.err.inconsistent.modifier=\
	Inkonsekvent medlemsdeklaration. Högst en av typen publik, privat eller skyddad får anges.
javac.err.super.is.final=\
	Det går inte att göra finala klasser till underordnade klasser: {0}
javac.err.super.is.intf=\
	Det går inte att göra gränssnitt till underordnade klasser: {0}
javac.err.cyclic.super=\
	Cykliskt klassarv.
javac.err.super.is.inner=\
	Cykliskt klassarv:  En underordnad klass kan inte omge en superklass.
javac.err.cyclic.intf=\
	Cykliskt gränssnittsarv.
javac.err.cyclic.scoping=\
	Cykliskt klassarv eller definitionsområde.
javac.err.not.intf=\
	{0} måste vara ett gränssnitt.
javac.err.final.intf=\
	Gränssnitt kan inte vara finala: {0}
javac.err.intf.impl.intf=\
	Ett gränssnitt kan inte implementera något, utan bara utöka andra gränssnitt.
javac.err.multiple.inherit=\
	Flerarv stöds inte.
javac.err.intf.repeated=\
	Gränssnittet {0} har upprepats.
javac.err.class.format=\
	Ogiltigt klassfilformat: {0}, {1}
javac.err.no.meth.body=\
	Metoden {0} kräver metodkodtext. Om den inte har det ska du deklarera den som abstrakt.
javac.err.no.constructor.body=\
	Konstruktören {0} kräver metodkodtext.
javac.err.void.inst.var=\
	Instansvariabler kan inte vara tomma: {0}
javac.err.invalid.method.decl=\
	Ogiltig metoddeklaration; return-typ krävs.
javac.err.invalid.method.decl.name=\
	Ogiltig metoddeklaration; metodnamn krävs.
javac.err.invalid.method.decl.qual=\
	Ogiltigt kvalificerat konstruktörsnamn.
javac.err.super.not.found=\
	Superklassen {0} till {1} finns inte.
javac.err.intf.not.found=\
	Gränssnittet {0} till {1} finns inte.
javac.err.final.abstract=\
        Klassen {0} kan inte deklareras som både abstrakt och final.
javac.err.void.argument=\
	Argument kan inte ha typen void: {0}
javac.err.invalid.expr=\
	Ogiltig uttryckssats.
javac.err.catch.not.reached=\
	catch gick inte att nå.
javac.err.stat.not.reached=\
	Satsen gick inte att nå.
javac.err.arithmetic.exception=\
	Aritmetiskt undantag.
javac.err.generic=\
	{0}
javac.err.public.class.file=\
	Den publika {0} måste definieras i en fil med namnet "{1}".
javac.err.package.class.file=\
	{0} är definierad i {1}. Eftersom den används utanför källfilen ska den definieras i en fil med namnet "{2}".
javac.err.lose.precision=\
	Möjlig förlust av precision. Använd en explicit omvandling för att konvertera {0} till {1}.
javac.err.duplicate.argument=\
	Variabeln ''{0}'' används två gånger i metodens argumentlista.
javac.err.local.redefined=\
	Variabeln ''{0}'' är redan definierad i metoden.
javac.err.local.class.redefined=\
	Den lokala klassen ''{0}'' är redan definierad i metoden.
javac.err.inner.redefined=\
	Klassnamnet ''{0}'' är redan definierat i definitionsområdet.  En inre klass får inte ha samma enkla namn som någon av de omgivande klasserna.
javac.err.inherited.hides.field=\
	Variabeln ''{0}'' ärvs i {1}, och döljer en variabel med samma namn i {2}. Du måste använda en explicit ''this''-kvalifierare för att välja önskad instans.
javac.err.inherited.hides.local=\
	Variabeln ''{0}'' ärvs i {1}, och döljer en lokal variabel med samma namn. Du måste använda en explicit ''this''-kvalifierare för att välja variabeln, eller döpa om den lokala variabeln.
javac.err.inherited.hides.method=\
	Metoden ''{0}'' ärvs i {1}, och döljer en metod med samma namn i {2}. Du måste använda en explicit ''this''-kvalifierare för att välja önskad instans.
javac.err.inherited.hides.type=\
	Typen ''{0}'' ärvs i {1}, och döljer en typ med samma namn i ett omgivande definitionsområde. Du måste använda ett explicit kvalifierarprefix för att namnge typen.
javac.err.private.class=\
	Typen {0} kan inte vara privat. Paketmedlemmar är alltid åtkomliga inom det aktuella paketet.
javac.err.static.class=\
	Typen {0} kan inte deklareras som statisk. Den är redan på toppnivå, eftersom den är medlem av ett paket.
javac.err.protected.class=\
	Typen {0} kan inte skyddas. Paketmedlemmar kan antingen vara publika eller lokala i det aktuella paketet.
javac.err.recursive.constr=\
	Rekursivt konstruktörsanrop: {0}.
javac.err.wrong.class=\
	Filen {0} innehåller inte som förväntat {1}, utan {2}. Ta bort filen eller se till att den finns i rätt underkatalog i klassökvägen.
javac.err.wrong.source=\
	Filen {0} innehåller inte {1} som förväntat. Justera klassökvägen så att filen inte finns i {2}.
javac.err.class.not.found=\
	Klassen {0} finns inte i {1}.
javac.err.package.not.found=\
	Paketet {0} finns inte i {1}.
javac.err.illegal.mangled.name=\
	Ogiltigt namn {0} för {1}.
javac.err.class.and.package=\
	Flertydigt namn: {0} är både en klass och ett paket.
javac.err.invalid.throws=\
	Ogiltigt undantag {0} i throws-sats. Undantaget måste vara en underordnad klass till ett undantag som signaleras av {1} från {2}.
javac.err.throws.not.throwable=\
	{0} i throws-satsen måste vara en underordnad klass till klassen java.lang.Throwable.
javac.err.throw.not.throwable=\
	Kan inte signalera {0}; den måste vara en underordnad klass till klassen java.lang.Throwable.
javac.err.catch.not.throwable=\
	Kan inte fånga {0}; den måste vara en underordnad klass till klassen java.lang.Throwable.
javac.err.initializer.exception=\
	Undantaget {0} kan inte signaleras i initieraren.
javac.err.cant.read=\
	Det går inte att läsa: {0}
javac.err.cant.write=\
	Det går inte att skriva: {0}
javac.err.fatal.error=\
	Ett fel har uppstått i kompilatorn; skicka en felrapport till (http://java.sun.com/cgi-bin/bugreport.cgi).
javac.err.fatal.exception=\
	Ett undantag har uppstått i kompilatorn; skicka en felrapport till (http://java.sun.com/cgi-bin/bugreport.cgi).
javac.err.no.inner.classes=\
	Stödet för inre klasser har deaktiverats.
javac.err.uncaught.exception=\
	Undantaget {0} måste fångas eller deklareras i metodens throws-sats.
javac.err.catch.not.thrown=\
	Undantaget {0} signaleras aldrig i kodtexten i motsvarande try-sats.
#warning:
javac.err.array.clone.supported=\
	Obs: Kloning av en matris signalerar inte några kontrollerade undantag, och kräver därför inte någon catch-sats.  Ta bort oanvända catch-satser. Om du vill behålla kompatibiliteten med äldre kompilatorer kan du istället infoga en artificiell signalering (throw) på följande sätt:  if (false) throw new CloneNotSupportedException();
javac.err.no.outer.arg=\
	Det finns ingen omgivande instans av {0} i definitionsområdet; \
	du måste explicit ange en instans när du skapar {1}, \
	som i "outer. new Inner()" eller "outer. super()".
javac.err.no.default.outer.arg=\
	Det finns ingen omgivande instans av {0} i definitionsområdet; \
	det går inte att skapa en standardkonstruktör för {1}.
javac.err.no.outer.base=\
	Det finns ingen omgivande instans av {0} i definitionsområdet; \
	du måste explicit ange en instans för åtkomst till {1}, \
	som i "outer.member".
javac.err.static.inner.class=\
	Typen {0} kan inte vara statisk.  Det kan bara finnas statiska medlemmar i gränssnitt och klasser på toppnivå.
javac.err.static.inner.field=\
	Variabeln {0} kan inte vara statisk i {1}.  Endast medlemmar av gränssnitt och klasser på toppnivå kan vara statiska.
javac.err.static.inner.method=\
	Metoden {0} kan inte vara statisk i {1}.  Endast medlemmar av gränssnitt och klasser på toppnivå kan vara statiska.
javac.err.too.many.errors=\
	För många fel.  (Maximalt antal fel som rapporteras är {0}.)
#
benv.parsed_in=[parsed {0} in {1} ms]
benv.loaded_in=[loaded {0} in {1} ms]
benv.failed_to_close_class_path=det gick inte att stänga klassökvägen: {0}
main.usage=use: {0} [-g][-O][-debug][-depend][-nowarn][-verbose][-classpath path][-nowrite][-deprecation][-d dir][-J<runtime flag>] file.java...
main.wrote=[wrote {0}]
main.errors={0} fel
main.1error=1 fel
main.warnings={0} varningar
main.1warning=1 varning
main.done_in=[done in {0} ms]
javac.err.invalid.encoding.char=\
	Den här plattformskodningen kan ge en annan källfilskodning. Justera filkodningen med alternativet -encoding, eller använd hjälpprogrammet native2ascii för att få källfilen ASCII-kodad.
